## lua-cqueues 20160316

=== debian/changelog ===
lua-cqueues (20160316-4) unstable; urgency=medium

  * Update to use __linux__ macro instead of __linux, extend __FreeBSD__
    to also include __FreeBSD_kernel__ (Closes: #831013)
  * Add Dependency between lua-cqueues-dev and lua-cqueues

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jul 2016 07:48:29 +0200

lua-cqueues (20160316-3) unstable; urgency=medium

  * lua files has to be placed in cqueues/ subdirectory

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 15:47:44 +0200

lua-cqueues (20160316-2) unstable; urgency=medium

  * Add m4 to Build-Depends and Update Vcs-Browser to correct URL

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 13:32:03 +0200

lua-cqueues (20160316-1) unstable; urgency=low

  * Initial release.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Jul 2016 16:41:44 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_clean:
	-rm src/errno.c
	dh_auto_clean

override_dh_auto_configure:
	make -C src -f GNUmakefile $(CURDIR)/src/errno.c
	dh_auto_configure

override_dh_compress:
	dh_compress -X.lua -X.cnf

## lua-cqueues 20161018

=== debian/changelog ===
lua-cqueues (20161018-1) unstable; urgency=medium

  * Imported Upstream version 20161018
   + Includes openssl 1.1.0 support (Closes: #835785)
  * Remove __typeof__ patch merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Oct 2016 17:23:20 +0200

lua-cqueues (20160812-1) unstable; urgency=medium

  * Imported Upstream version 20160812
  * Remove __linux__ macro patch as it was fixed upstream
  * d/rules: Pre-build config.h

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Aug 2016 16:29:36 +0200

lua-cqueues (20160316-5) unstable; urgency=medium

  * Install cqueues .lua files into correct directories

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jul 2016 11:34:45 +0200

## lua-cqueues 20171014

=== util/Makefile ===
CPPFLAGS=
CFLAGS=-Wall -Wextra

tcp-urgent:

## lua-cqueues 20161214

=== debian/changelog ===
lua-cqueues (20161214-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:56 +0000

lua-cqueues (20161214-2) unstable; urgency=medium

  * Enable Lua 5.3 support
  * Add correct defines to compile with Lua 5.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 15 Dec 2016 11:10:58 +0100

lua-cqueues (20161214-1) unstable; urgency=medium

  * Imported Upstream version 20161214

 -- Ondřej Surý <ondrej@debian.org>  Thu, 15 Dec 2016 10:15:05 +0100

=== debian/control ===
Source: lua-cqueues
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
               dh-lua,
               libssl-dev,
               m4
Standards-Version: 3.9.8
Homepage: http://www.25thandclement.com/~william/projects/cqueues.html
Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-cqueues.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-lua/lua-cqueues.git

Package: lua-cqueues
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: event loop for Lua
 cqueues is a type of event loop for Lua, except it's not a classic
 event loop. It doesn't use callbacks—neither as part of the API nor
 internally—but instead you communicate with an event controller by
 the yielding and resumption of Lua coroutines using objects that
 adhere to a simple interface.

Package: lua-cqueues-dev
Architecture: any
Multi-Arch: same
Depends: lua-cqueues (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: event loop for Lua (development package)
 cqueues is a type of event loop for Lua, except it's not a classic
 event loop. It doesn't use callbacks—neither as part of the API nor
 internally—but instead you communicate with an event controller by
 the yielding and resumption of Lua coroutines using objects that
 adhere to a simple interface.

## lua-cqueues 20171014

=== debian/changelog ===
lua-cqueues (20171014-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:43:18 +0800

lua-cqueues (20171014-1) unstable; urgency=medium

  * Exclude upstream debian/ directory
  * Add d/watch for the project
  * Repack upstream tarball
  * New upstream version 20171014

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Dec 2018 13:20:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lua-cqueues
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-lua,
                libssl-dev,

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,13 @@
 	dh $@ --buildsystem=lua --with lua
 
 override_dh_auto_clean:
-	-rm src/errno.c
+	-rm $(CURDIR)/src/errno.c $(CURDIR)/config.h $(CURDIR)/src/config.h $(CURDIR)/src/lib/config.h
 	dh_auto_clean
 
 override_dh_auto_configure:
-	make -C src -f GNUmakefile $(CURDIR)/src/errno.c
+	make -C . -f GNUmakefile $(CURDIR)/config.h
+	make -C src -f GNUmakefile $(CURDIR)/src/errno.c $(CURDIR)/src/config.h
+	make -C src/lib -f GNUmakefile $(CURDIR)/src/lib/config.h
 	dh_auto_configure
 
 override_dh_compress:

## lua-cqueues 20190813

=== debian/changelog ===
lua-cqueues (20190813-1) unstable; urgency=low

  * New upstream version 20190813
    - Fix compilation in GCC 9 (Closes: #925772)
  * debian/control: update Vcs URLs to salsa
  * Add debian/salsa-ci.yml
  * Add myself to Uploaders
  * Bump Standards-Version to 4.5.0. No changes needed

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 28 Jan 2020 11:46:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: interpreters
 Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
+Uploaders: Santiago Ruano Rincón <santiago@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-lua,
                libssl-dev,
                m4
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://www.25thandclement.com/~william/projects/cqueues.html
-Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-cqueues.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-lua/lua-cqueues.git
+Vcs-Git: https://salsa.debian.org/lua-team/lua-cqueues.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-cqueues
 
 Package: lua-cqueues
 Architecture: any

## lua-cqueues 20200726

=== debian/changelog ===
lua-cqueues (20200726-2) unstable; urgency=medium

  * Add libz-dev and libzstd-dev to Build-Depends (Closes: #1069356)
  * Update Standards-Version: 4.7.0, no changes needed
  * Set Maintainer to lua-team
  * Add myself to Uploaders

 -- Jakub Ružička <jru@debian.org>  Mon, 06 May 2024 14:15:58 +0200

lua-cqueues (20200726-1) unstable; urgency=medium

  * New upstream version 20200726
    - Fix FTBFS with GCC-10 (Closes: #957509)
  * Add debian/gbp.conf
  * Add support for Lua 5.4
  * Bump debhelper-compat to 12 (13 is not supported yet)

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 30 Jul 2020 11:31:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: lua-cqueues
 Section: interpreters
 Priority: optional
-Maintainer: Ondřej Surý <ondrej@debian.org>
-Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>,
+           Santiago Ruano Rincón <santiago@debian.org>,
+           Jakub Ružička <jru@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-lua,
                libssl-dev,
+               libz-dev,
+               libzstd-dev,
                m4
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: http://www.25thandclement.com/~william/projects/cqueues.html
 Vcs-Git: https://salsa.debian.org/lua-team/lua-cqueues.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-cqueues

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/rel-(\d\S+)\.tar\.gz/lua-cqueues-$1\.tar\.gz/,\
repack,compression=xz \
  https://github.com/wahern/cqueues/tags .*/rel-(\d\S+)\.tar\.gz
